
Foreman - Bug #25029

Unable to revert to the original version of the provisioning template

09/25/2018 11:25 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases:  

Bugzilla link: 1627066 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7170

  

Description

Description of problem:

There's no way to revert to the original version of the template. Once user makes a change, there is a new revision created and user

can only revert to this version.

It should be possible to revert to the original by undoing the first revision.

How reproducible:

always

Steps to Reproduce:

1. create or clone a provisioning template

2. save it

3. the 'History' will be empty

3. change the template, save

4. in the History tab, there's the revision containing the diff of the original state and the new state

5. from now on, user can only get to the first changed version (by clicking "revert to this version"), but not to the original version

6. one is unable to get to the original, unchanged version

Associated revisions

Revision 87deb383 - 11/13/2019 11:16 AM - Dominik Matoulek 

Fixes #25029 - Allow revert template to original state (#7170)

History

#1 - 09/25/2018 11:26 AM - Ondřej Pražák

- Subject changed from Unable to revert to the original version of the provisioning template

 to Unable to revert to the original version of the provisioning template

- Category changed from TFTP to Templates

#2 - 11/11/2019 01:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7170 added

#3 - 11/13/2019 11:16 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#4 - 11/13/2019 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 87deb3830b37cd3ac39d2a07c17cc2b57b1ddfa3.

#5 - 03/19/2021 05:31 AM - Jason Chang

05/20/2024 1/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/87deb3830b37cd3ac39d2a07c17cc2b57b1ddfa3
